تيك توك API
تصل تيك توك إلى أكثر من 1 مليار مستخدم شهريًا من خلال مقاطع الفيديو القصيرة، والبث المباشر، واكتشاف الاتجاهات، مما يجعلها مهمة للملاءمة الثقافية، وحملات المبدعين، واكتشاف المنتجات.
عنوان URL الأساسي
https://api.pressmonitor.com/tiktok/v1 المصادقة
تستخدم جميع الطلبات مصادقة رمز Bearer. أضف رأس Authorization إلى كل استدعاء.
Authorization: Bearer YOUR_TOKEN /challenge-info معلومات التحدي
Challenge Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| challenge_id | string | query | نعم | معرّف التحدي |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/challenge-posts منشورات التحدي
Challenge Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| challenge_id | string | query | نعم | معرّف التحدي |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/challenge-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/challenge-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/collection-info معلومات المجموعة
Collection Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| collection_id | string | query | نعم | معرّف المجموعة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-info" querystring = {"collection_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-info?collection_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/collection-posts منشورات المجموعة
Collection Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| collection_id | string | query | نعم | معرّف المجموعة |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/collection-posts" querystring = {"collection_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/collection-posts?collection_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/download-music تنزيل الموسيقى
Download Music
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| music_id | string | query | نعم | معرّف الموسيقى |
| device_id | string | query | لا | معرّف الجهاز |
| format | string | query | لا | الصيغة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-music" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-music?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/download-video تنزيل الفيديو
Download Video
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| device_id | string | query | لا | معرّف الجهاز |
| format | string | query | لا | الصيغة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/download-video" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","format":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/download-video?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&format=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/effect-info معلومات التأثير
Effect Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| effect_id | string | query | نعم | معرّف التأثير |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-info" querystring = {"effect_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-info?effect_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/effect-posts منشورات التأثير
Effect Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| effect_id | string | query | نعم | معرّف التأثير |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/effect-posts" querystring = {"effect_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/effect-posts?effect_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/live-category فئة البث المباشر
Live Category
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| device_id | string | query | لا | معرّف الجهاز |
| lang | string | query | لا | اللغة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-category" querystring = {"device_id":"SOME_STRING_VALUE","lang":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-category?device_id=SOME_STRING_VALUE&lang=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/live-check-alive التحقق من البث المباشر
Live Check Alive
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| room_id | string | query | نعم | معرّف الغرفة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-check-alive" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-check-alive?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/live-stream بث مباشر
Live Stream
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| room_id | string | query | نعم | معرّف الغرفة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/live-stream" querystring = {"room_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/live-stream?room_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/music-info معلومات الموسيقى
Music Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| music_id | string | query | نعم | معرّف الموسيقى |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-info" querystring = {"music_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-info?music_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/music-posts منشورات الموسيقى
Music Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| music_id | string | query | نعم | معرّف الموسيقى |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-posts" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-posts?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/music-unlimited-sounds موسيقى غير محدودة الأصوات
Music Unlimited Sounds
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| music_id | string | query | نعم | معرّف الموسيقى |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds" querystring = {"music_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/music-unlimited-sounds?music_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/place-info معلومات المكان
Place Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| challenge_id | string | query | نعم | معرّف التحدي |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-info" querystring = {"challenge_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-info?challenge_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/place-posts منشورات المكان
Place Posts
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| challenge_id | string | query | نعم | معرّف التحدي |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/place-posts" querystring = {"challenge_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/place-posts?challenge_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-category فئة المنشور
Post Category
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | نعم | Sec Uid |
| category_type | string | query | لا | نوع الفئة |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-category" querystring = {"sec_uid":"SOME_STRING_VALUE","category_type":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-category?sec_uid=SOME_STRING_VALUE&category_type=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-comments تعليقات المنشور
Post Comments
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-comments?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-detail تفاصيل المنشور
Post Detail
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| device_id | string | query | لا | معرّف الجهاز |
| from | string | query | لا | من |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","from":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&from=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-discover-keyword الكلمة المفتاحية لاكتشاف المنشور
Post Discover Keyword
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-discover-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-related منشورات ذات صلة
Post Related
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| count | integer | query | لا | عدد النتائج للإرجاع |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-related" querystring = {"aweme_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-related?aweme_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/post-reply-comments تعليقات الرد على المنشور
Post Reply Comments
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| comment_id | string | query | نعم | معرّف التعليق |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/post-reply-comments" querystring = {"aweme_id":"SOME_STRING_VALUE","comment_id":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/post-reply-comments?aweme_id=SOME_STRING_VALUE&comment_id=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/search-account بحث عن حساب
Search Account
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
| search_id | string | query | لا | معرّف البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-account" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-account?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/search-general بحث عام
Search General
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| search_id | string | query | لا | معرّف البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-general" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-general?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/search-live بحث في البث المباشر
Search Live
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
| search_id | string | query | لا | معرّف البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-live" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-live?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/search-suggest-keyword اقتراح كلمة مفتاحية للبحث
Search Suggest Keyword
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-suggest-keyword?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/search-video بحث عن فيديو
Search Video
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
| search_id | string | query | لا | معرّف البحث |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/search-video" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE","search_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/search-video?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE&search_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-ads-detail تفاصيل الإعلانات الرائجة
Trending Ads Detail
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| aweme_id | string | query | نعم | معرّف Aweme |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail" querystring = {"aweme_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-ads-detail?aweme_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-commercial-music-library مكتبة الموسيقى التجارية الرائجة
Trending Commercial Music Library
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-library?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-commercial-music-playlist قائمة تشغيل الموسيقى التجارية الرائجة
Trending Commercial Music Playlist
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-commercial-music-playlist-detail تفاصيل قائمة تشغيل الموسيقى التجارية الرائجة
Trending Commercial Music Playlist Detail
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| playlist_id | string | query | نعم | معرّف قائمة التشغيل |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail" querystring = {"playlist_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-commercial-music-playlist-detail?playlist_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-creator المبدع الرائج
Trending Creator
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-creator" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-creator?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-hashtag الهاشتاج الرائج
Trending Hashtag
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-hashtag" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-hashtag?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-keyword الكلمة المفتاحية الرائجة
Trending Keyword
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-keyword-sentence جملة الكلمة المفتاحية الرائجة
Trending Keyword Sentence
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence" querystring = {"keyword":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-keyword-sentence?keyword=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-song الأغنية الرائجة
Trending Song
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-song" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-song?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-top-ads أفضل الإعلانات الرائجة
Trending Top Ads
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
| period | string | query | لا | الفترة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-ads" querystring = {"keyword":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE","period":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-ads?keyword=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE&period=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-top-product-detail تفاصيل أفضل المنتجات الرائجة
Trending Top Product Detail
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| product_id | string | query | نعم | معرّف المنتج |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-detail?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-top-product-metrics مقاييس أفضل المنتجات الرائجة
Trending Top Product Metrics
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| product_id | string | query | نعم | معرّف المنتج |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics" querystring = {"product_id":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-product-metrics?product_id=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-top-products أفضل المنتجات الرائجة
Trending Top Products
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-top-products" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-top-products?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-video الفيديو الرائج
Trending Video
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| period | string | query | نعم | الفترة |
| country_code | string | query | لا | رمز الدولة |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video" querystring = {"period":"SOME_STRING_VALUE","country_code":"SOME_STRING_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video?period=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/trending-video-by-keyword الفيديو الرائج حسب الكلمة المفتاحية
Trending Video By Keyword
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keyword | string | query | نعم | الكلمة المفتاحية |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
| device_id | string | query | لا | معرّف الجهاز |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword" querystring = {"keyword":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE","device_id":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/trending-video-by-keyword?keyword=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE&device_id=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-followers متابعو المستخدم
User Followers
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | نعم | Sec Uid |
| count | integer | query | لا | عدد النتائج للإرجاع |
| min_cursor | string | query | لا | أدنى مؤشر |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-followers" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","min_cursor":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-followers?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&min_cursor=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-following المستخدم يتابع
User Following
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | نعم | Sec Uid |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-following" querystring = {"sec_uid":"SOME_STRING_VALUE","count":"SOME_INTEGER_VALUE","cursor":"SOME_INTEGER_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-following?sec_uid=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_INTEGER_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-info معلومات المستخدم
User Info
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | لا | Sec Uid |
| unique_id | string | query | لا | معرّف فريد |
| with_commerce_info | string | query | لا | مع معلومات التجارة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-info-by-id معلومات المستخدم حسب المعرف
User Info By Id
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| user_id | string | query | نعم | معرّف المستخدم |
| with_commerce_info | string | query | لا | مع معلومات التجارة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-by-id" querystring = {"user_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-by-id?user_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-info-v2 معلومات المستخدم نسخة 2
User Info V2
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | لا | Sec Uid |
| unique_id | string | query | لا | معرّف فريد |
| with_commerce_info | string | query | لا | مع معلومات التجارة |
أمثلة الشيفرة
curl --request GET \ --url 'https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE' const http = require("https"); const options = { "method": "GET", "hostname": "api.pressmonitor.com", "port": null, "path": "/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", "headers": {} }; const req = http.request(options, function (res) { const chunks = []; res.on("data", function (chunk) { chunks.push(chunk); }); res.on("end", function () { const body = Buffer.concat(chunks); console.log(body.toString()); }); }); req.end(); import requests url = "https://api.pressmonitor.com/tiktok/v1/user-info-v2" querystring = {"sec_uid":"SOME_STRING_VALUE","unique_id":"SOME_STRING_VALUE","with_commerce_info":"SOME_STRING_VALUE"} response = requests.request("GET", url, params=querystring) print(response.text) <?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } OkHttpClient client = new OkHttpClient(); Request request = new Request.Builder() .url("https://api.pressmonitor.com/tiktok/v1/user-info-v2?sec_uid=SOME_STRING_VALUE&unique_id=SOME_STRING_VALUE&with_commerce_info=SOME_STRING_VALUE") .get() .build(); Response response = client.newCall(request).execute(); الردود
/user-playlist قائمة تشغيل المستخدم
User Playlist
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| sec_uid | string | query | نعم | Sec Uid |
| count | integer | query | لا | عدد النتائج للإرجاع |
| cursor | integer | query | لا | المؤشر |
أمثلة الشيفرة
[...]
